summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2018-12-30 19:17:43 +0200
committerAlon Bar-Lev <alonbl@gentoo.org>2018-12-30 19:32:33 +0200
commit49184847237f50e006fb22c9b8de474a03165199 (patch)
tree6e11cbee1464ed0fa47ba335405f5f8244cefd54 /sys-apps
parentdev-libs/icu-layoutex-63.1: hppa stable, bug 670456 (diff)
downloadgentoo-49184847237f50e006fb22c9b8de474a03165199.tar.gz
gentoo-49184847237f50e006fb22c9b8de474a03165199.tar.bz2
gentoo-49184847237f50e006fb22c9b8de474a03165199.zip
sys-apps/pcsc-lite: version bump
Closes: https://bugs.gentoo.org/show_bug.cgi?id=674058 Signed-off-by: Alon Bar-Lev <alonbl@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/pcsc-lite/Manifest1
-rw-r--r--sys-apps/pcsc-lite/pcsc-lite-1.8.24.ebuild104
2 files changed, 105 insertions, 0 deletions
diff --git a/sys-apps/pcsc-lite/Manifest b/sys-apps/pcsc-lite/Manifest
index 151591b3162..4843e3193c1 100644
--- a/sys-apps/pcsc-lite/Manifest
+++ b/sys-apps/pcsc-lite/Manifest
@@ -1 +1,2 @@
DIST pcsc-lite-1.8.23.tar.bz2 749922 BLAKE2B 62c7fb931735bf5fba55e75141a3e4216a126c56ae47833168b154abacd3294dba4afc47b74814a474ca9e52c7ca62a532a0e6ae9fb88b635592e8c545f68e76 SHA512 fef9f40376660bc9de938608cfdbf12ca764be1ebb59c7a1065cb74a21ecc7333f86add25028bd47ec55b2227a9e2d15e1afcb6d0aeb510636d2aadef254bec4
+DIST pcsc-lite-1.8.24.tar.bz2 755670 BLAKE2B 22cc072978e221d455373e1fdeb21ae8f3dacdd188a4e8a69ef44202924e6c17c4282d424c88ac32b04c62af6e67787f2d2ba936bd3e3667452b32c40254de28 SHA512 df2e6a7a8179563a6dbf654ab75cf78a4b297b0562214a081d7d2b5d00fd4adf92fd892bd16aacf9d5e2867f3ad46c88a88e5834e311011f37556dd7e8936a0c
diff --git a/sys-apps/pcsc-lite/pcsc-lite-1.8.24.ebuild b/sys-apps/pcsc-lite/pcsc-lite-1.8.24.ebuild
new file mode 100644
index 00000000000..1784e6142c1
--- /dev/null
+++ b/sys-apps/pcsc-lite/pcsc-lite-1.8.24.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit python-single-r1 systemd udev user multilib-minimal
+
+DESCRIPTION="PC/SC Architecture smartcard middleware library"
+HOMEPAGE="https://pcsclite.apdu.fr/"
+
+SRC_URI="https://pcsclite.apdu.fr/files/${P}.tar.bz2"
+
+# GPL-2 is there for the init script; everything else comes from
+# upstream.
+LICENSE="BSD ISC MIT GPL-3+ GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+# This is called libusb so that it doesn't fool people in thinking that
+# it is _required_ for USB support. Otherwise they'll disable udev and
+# that's going to be worse.
+IUSE="python libusb policykit selinux systemd +udev"
+
+REQUIRED_USE="^^ ( udev libusb ) \
+ python? ( ${PYTHON_REQUIRED_USE} )"
+
+# No dependencies need the MULTILIB_DEPS because the libraries are actually
+# standalone, the deps are only needed for the daemon itself.
+DEPEND="libusb? ( virtual/libusb:1 )
+ udev? ( virtual/udev )
+ policykit? ( >=sys-auth/polkit-0.111 )
+ python? ( ${PYTHON_DEPS} )"
+RDEPEND="${DEPEND}
+ !<app-crypt/ccid-1.4.1-r1
+ !<sys-apps/baselayout-2
+ !<sys-apps/openrc-0.11.8
+ selinux? ( sec-policy/selinux-pcscd )"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.8.11-polkit-pcscd.patch
+)
+
+DOCS=( AUTHORS HELP README SECURITY ChangeLog )
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+ enewgroup openct # make sure it exists
+ enewgroup pcscd
+ enewuser pcscd -1 -1 /run/pcscd pcscd,openct
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ --disable-maintainer-mode \
+ --enable-usbdropdir="${EPREFIX}/usr/$(get_libdir)/readers/usb" \
+ --enable-ipcdir=/run/pcscd \
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" \
+ $(multilib_native_use_enable systemd libsystemd) \
+ $(multilib_native_use_enable udev libudev) \
+ $(multilib_native_use_enable libusb) \
+ $(multilib_native_use_enable policykit polkit)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ newinitd "${FILESDIR}"/pcscd-init.7 pcscd
+
+ if use udev; then
+ insinto "$(get_udevdir)"/rules.d
+ doins "${FILESDIR}"/99-pcscd-hotplug.rules
+ fi
+
+ for f in "${ED}/usr/bin/pcsc-spy"; do
+ if use python; then
+ python_fix_shebang "${f}"
+ else
+ rm "${f}"
+ fi
+ done
+}
+
+pkg_postinst() {
+ elog "Starting from version 1.6.5, pcsc-lite will start as user nobody in"
+ elog "the pcscd group, to avoid running as root."
+ elog ""
+ elog "This also means you need the newest drivers available so that the"
+ elog "devices get the proper owner."
+ elog ""
+ elog "Furthermore, a conf.d file is no longer installed by default, as"
+ elog "the default configuration does not require one. If you need to"
+ elog "pass further options to pcscd, create a file and set the"
+ elog "EXTRA_OPTS variable."
+ elog ""
+ if use udev; then
+ elog "Hotplug support is provided by udev rules; you only need to tell"
+ elog "the init system to hotplug it, by setting this variable in"
+ elog "/etc/rc.conf:"
+ elog ""
+ elog " rc_hotplug=\"pcscd\""
+ fi
+}